/**
 * Plugin Name : colapsingFilters.JS
 * Version     : 0.1.1
 */
 
(function ( $ ) {
	 $.fn.colapsingFilters = function( options ) {
  
		 // This is the easiest way to have default options.
		 var settings = $.extend({
			 // These are the defaults.
			 color: "#556b2f",
			 backgroundColor: "white",
			 breakpoint: "980"
		 }, options );
		 
		 var trythis = this;
		 
		 // Assign options data-* attributes if they exists
		 $.each(settings, function( option ) {
			 var data_attr = option.replace(/([A-Z])/g, '-$1').toLowerCase().toString(), //`optionsName` becomes `option-name`
			 new_val  =  trythis.data( data_attr );
		 
			 if( new_val || false === new_val ){
				 settings[ option ] = new_val;
			 }
		 });
		 
		 var init = function() {
			trythis.create();
			trythis.openOnClick();
			trythis.resizeWatch();
		 };
		 
		this.create = function() { 
			var windowsize = jQuery(window).width();
			if(windowsize <= settings.breakpoint){
				trythis.find('fieldset').slideUp();
				// trythis.find('.filter_wrap').slideUp();
			}
		 };
		
		this.openOnClick = function() {
			trythis.on('click', '.colapse_title', function( event ){
				var windowsize = jQuery(window).width();
				if(windowsize <= settings.breakpoint){
					event.stopImmediatePropagation();
					var filter_wrap = $(this).siblings('.filter_wrap');
					filter_wrap.slideToggle();
				}
			});
			
			trythis.on('click', '.wpgb-facet-title', function( event ){
				var windowsize = jQuery(window).width();
				if(windowsize <= settings.breakpoint){
					event.stopImmediatePropagation();
					var fieldset = $(this).siblings('fieldset');
					fieldset.slideToggle();
				}
			});
		};
		
		this.resizeWatch = function() {
			var resizeTimer;
			jQuery(window).on('resize', function(e) {
			  	clearTimeout(resizeTimer);
			  	resizeTimer = setTimeout(function() {
				  var windowsize = jQuery(window).width();
				   if (windowsize <= settings.breakpoint) {
					   trythis.addClass('collapsed');
					   trythis.find('fieldset').slideUp();
					   // trythis.find('.filter_wrap').slideUp();
				   }else{
					   trythis.removeClass('collapsed');
					   trythis.find('fieldset').slideDown();
					   // trythis.find('.filter_wrap').slideDown();
				   }
				}, 250);
			});
		};
		
		init();
		return this;
	};
}( jQuery ));

jQuery(document).ready(function(){
  jQuery( ".colapsing_filters" ).colapsingFilters();
});