<?php
	class Collapsing_Filters_Item extends ET_Builder_Module{
		public function init(){
			$this->name            = esc_html__( 'Collapsing Filter', 'et_builder' );
			$this->plural            = esc_html__( 'Collapsing Filters', 'et_builder' );
			$this->slug            = 'collapsing_filter';
			$this->fb_support      = 'partial';
			$this->type            = 'child';
			$this->child_title_var = 'filter_id';
			$this->use_row_content = true;
			$this->decode_entities = true;
			$this->main_css_element = '%%order_class%%';
			$this->fullwidth = false;
			$this->advanced_setting_title_text = esc_html__( 'New Filter', 'et_builder' );
			$this->settings_text               = esc_html__( 'Filter Settings', 'et_builder' );
			$this->custom_css_fields = array(
			);
		}

		public function get_advanced_fields_config(){
			$advanced_fields = [];		
			return $advanced_fields;
		}

		public function get_fields(){
			return [
				'filter_id' => [
					'label' => __('Filter ID', 'et_builder'),
					'type' => 'text',
					'description' => 'Get from postmaster facits.',
				],
			];
		}

		public function render($atts, $content = NULL, $render_slug){
			$module_id = $this->props['module_id'];
			$module_class = $this->props['module_class'];
			$filter_id = $this->props['filter_id'];

			$output = sprintf(
				'[wpgb_facet id="%3$s" grid="?"]',
				$this->module_id(),
				$this->module_classname( $render_slug ),
				$filter_id
			);
			
			return $output;
		}
	}
NEW Collapsing_Filters_Item;